interface IWholescreen {
    readonly supported: boolean;
    readonly active: boolean;
    readonly element: Node;
    events: {
        change: string;
        error: string;
    };
    props: {
        element: string;
        exit: string;
        request: string;
        supported: string;
    };
    request(element?: Node): void;
    exit(): void;
    toggle(element?: Node, active?: boolean): void;
    on(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
    off(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
}
declare const wholescreen: IWholescreen;
export default wholescreen;
